[ruby-cvs:62499] rhe:r55335 (trunk): openssl: fix build with OpenSSL 1.1.0 and no pkg-config

rhe at ruby-lang.org rhe at ruby-lang.org
Thu Jun 9 15:03:55 JST 2016


rhe	2016-06-09 15:03:55 +0900 (Thu, 09 Jun 2016)

  New Revision: 55335

  https://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=revision&revision=55335

  Log:
    openssl: fix build with OpenSSL 1.1.0 and no pkg-config
    
    * ext/openssl/extconf.rb: Check for CRYPTO_malloc() and SSL_new().
      OpenSSL_add_all_digests() and SSL_library_init() are deprecated and
      converted to macros in OpenSSL 1.1.0.
      [ruby-core:75225] [Feature #12324]

  Modified files:
    trunk/ChangeLog
    trunk/ext/openssl/extconf.rb


More information about the ruby-cvs mailing list